
#define TARGET_FPS 45
#define FPSTIME (1000/TARGET_FPS)

int render_init( void );
void render_shut( void );
int render( void );
Uint32 timing( Uint32 interval, void *dummy );

enum
{
  PART_STARFIELD=1,
  PART_PLANET_IN,
  PART_PLANET_ZOOM,
  PART_STARS_OUT,
  PART_SUNRISE,
  PART_FLOWERGROW,
  PART_MAIN,
  PART_SUNSET
};
